Holger's Java API

## com.antelmann.genealogy
Class GEventImpl

    java.lang.Object
      com.antelmann.genealogy.GEventImpl

All Implemented Interfaces:
  Timed, Taggable<GTag>, GEvent, GeoEncoded, LifeCycleObject, Serializable

Direct Known Subclasses:
  GEventEntry

    public class GEventImpl

extends Object
implements GEvent

implements an event within this context

Since:
  21.05.2013, 15:35:37
Author:
  holger
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from interface com.antelmann.db.Taggable
`Taggable.Adapter<T extends Tag>`

Field Summary

Fields inherited from interface com.antelmann.calendar.Timed
`COMPARATOR, DATE_EXTRACTOR`

Constructor Summary
`GEventImpl(String title, long time)`

Method Summary
`boolean` `add(GTag tag)` makes this instance member of the given group
`boolean` `equals(Object obj)`
`Date` `getBeginTime()`
`Date` `getDate()`
`Date` `getEndTime()`
`GeoPoint` `getGeoPoint()`
`String` `getLocation()`
`Collection<GTag>` `getTags()` lists all groups that this instance is currently a member of (the data is essentially derived from a set)
`long` `getTime()`
`String` `getTitle()`
`int` `hashCode()`
`boolean` `isTagged(GTag tag)` allows to determine the membership of the given tag or group
`boolean` `remove(GTag tag)` terminates the membership of this instance to the given group
`void` `setEndTime(Date endTime)`
`void` `setGeoPoint(GeoPoint geoPoint)`
`void` `setLocation(String location)`
`void` `setTitle(String title)`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GEventImpl

    public GEventImpl(String title,
                      long time)

Method Detail

### getBeginTime

    public Date getBeginTime()

  Specified by:
    `getBeginTime` in interface `LifeCycleObject`

### getEndTime

    public Date getEndTime()

  Specified by:
    `getEndTime` in interface `LifeCycleObject`

### setEndTime

    public void setEndTime(Date endTime)

### getTime

    public long getTime()

  Specified by:
    `getTime` in interface `Timed`

### getDate

    public Date getDate()

### getTitle

    public String getTitle()

  Specified by:
    `getTitle` in interface `GEvent`

### setTitle

    public void setTitle(String title)

### getLocation

    public String getLocation()

### setLocation

    public void setLocation(String location)

### getGeoPoint

    public GeoPoint getGeoPoint()

  Specified by:
    `getGeoPoint` in interface `GeoEncoded`

### setGeoPoint

    public void setGeoPoint(GeoPoint geoPoint)

### add

    public boolean add(GTag tag)
                throws IllegalArgumentException

  Description copied from interface: `Taggable`
  makes this instance member of the given group

  Specified by:
    `add` in interface `Taggable<GTag>`
  Parameters:
    `tag` - the Group object that this instance is to become a member of
  Returns:
    true only if the group was actually added to this instance or false if it already was a member of that group
  Throws:
    `IllegalArgumentException` - if this instance cannot be part of the given group

### getTags

    public Collection<GTag> getTags()

  Description copied from interface: `Taggable`
  lists all groups that this instance is currently a member of (the data is essentially derived from a set)

  Specified by:
    `getTags` in interface `Taggable<GTag>`

### isTagged

    public boolean isTagged(GTag tag)

  Description copied from interface: `Taggable`
  allows to determine the membership of the given tag or group

  Specified by:
    `isTagged` in interface `Taggable<GTag>`

### remove

    public boolean remove(GTag tag)

  Description copied from interface: `Taggable`
  terminates the membership of this instance to the given group

  Specified by:
    `remove` in interface `Taggable<GTag>`
  Parameters:
    `tag` - the Group that this instance is to be removed from as a member
  Returns:
    true only if this instance was previously a member of the given group.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `Object`

### equals

    public boolean equals(Object obj)

  Overrides:
    `equals` in class `Object`

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads